Subject: Re: [PATCH] au1000_eth.c Power Management, driver registration and module support

From: Rodolfo Giometti <[email-masked]>
Date: Wed, 31 May 2006 17:21:41 +0200

On Wed, May 31, 2006 at 07:01:02PM +0400, Sergei Shtylyov wrote:
> 
>    Now that this is merged, Rodolfo's patch should probably preempt mine...
> but it looks like something was lost during the transition: I failed to see
> where SYS_PINFUNC register is actually read (the comment mentioning this 
> was retained :-) to check whether Ethernet port 1 is enabled (its pins are 
> shared w/GPIO)...

You are right! Maybe something like this may fix the problem:

   diff --git a/drivers/net/au1000_eth.c b/drivers/net/au1000_eth.c
   index 341fdc4..8a6427e 100644
   --- a/drivers/net/au1000_eth.c
   +++ b/drivers/net/au1000_eth.c
   @@ -2149,6 +2149,9 @@ static int au1000_drv_probe(struct devic
           void *base_addr, *macen_addr;
           int irq, ret;

   +       if (pdev->id == 1 && (au_readl(SYS_PINFUNC) & SYS_PF_NI2) != 0)
   +               return -ENODEV;
   +
           /* Get the resource info */
           res = platform_get_resource_byname(pdev, IORESOURCE_MEM, "eth-base");
           if (!res) {

Ciao,

Rodolfo

-- 

GNU/Linux Solutions                  e-mail:    [email-masked]
Linux Device Driver                             [email-masked]
Embedded Systems                     		[email-masked]
UNIX programming                     phone:     +39 349 2432127